| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jquant1.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_cquantizer

## Macros
#define | JPEG_INTERNALS
#define | ODITHER_SIZE 16 /* dimension of dither matrix */
#define | ODITHER_CELLS (ODITHER_SIZE*ODITHER_SIZE) /* # cells in matrix */
#define | ODITHER_MASK (ODITHER_SIZE-1) /* mask for wrapping around counters */
#define | MAX_Q_COMPS 4 /* max components I can handle */

## Typedefs
typedef int | ODITHER_MATRIX[ODITHER_SIZE][ODITHER_SIZE]
typedef int(* | ODITHER_MATRIX_PTR)[ODITHER_SIZE]
typedef INT16 | FSERROR
typedef int | LOCFSERROR
typedef FSERROR FAR * | FSERRPTR
typedef my_cquantizer * | my_cquantize_ptr

## Functions
| select_ncolors (j_decompress_ptr cinfo, int Ncolors[])
| output_value (j_decompress_ptr cinfo, int ci, int j, int maxj)
| largest_input_value (j_decompress_ptr cinfo, int ci, int j, int maxj)
| create_colormap (j_decompress_ptr cinfo)
| create_colorindex (j_decompress_ptr cinfo)
| make_odither_array (j_decompress_ptr cinfo, int ncolors)
| create_odither_tables (j_decompress_ptr cinfo)
| color_quantize (j_decompress_ptr cinfo, JSAMPARRAY input_buf, JSAMPARRAY output_buf, int num_rows)
| color_quantize3 (j_decompress_ptr cinfo, JSAMPARRAY input_buf, JSAMPARRAY output_buf, int num_rows)
| quantize_ord_dither (j_decompress_ptr cinfo, JSAMPARRAY input_buf, JSAMPARRAY output_buf, int num_rows)
| quantize3_ord_dither (j_decompress_ptr cinfo, JSAMPARRAY input_buf, JSAMPARRAY output_buf, int num_rows)
| quantize_fs_dither (j_decompress_ptr cinfo, JSAMPARRAY input_buf, JSAMPARRAY output_buf, int num_rows)
| alloc_fs_workspace (j_decompress_ptr cinfo)
| start_pass_1_quant (j_decompress_ptr cinfo, boolean is_pre_scan)
| finish_pass_1_quant (j_decompress_ptr cinfo)
| new_color_map_1_quant (j_decompress_ptr cinfo)
| jinit_1pass_quantizer (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 13 of file jquant1.c.

#define MAX_Q_COMPS 4 /* max components I can handle */

Definition at line 140 of file jquant1.c.

#define ODITHER_CELLS (ODITHER_SIZE*ODITHER_SIZE) /* # cells in matrix */

Definition at line 73 of file jquant1.c.

#define ODITHER_MASK (ODITHER_SIZE-1) /* mask for wrapping around counters */

Definition at line 74 of file jquant1.c.

#define ODITHER_SIZE 16 /* dimension of dither matrix */

Definition at line 71 of file jquant1.c.

## Typedef Documentation

typedef INT16 FSERROR

Definition at line 128 of file jquant1.c.

typedef FSERROR FAR* FSERRPTR

Definition at line 135 of file jquant1.c.

typedef int LOCFSERROR

Definition at line 129 of file jquant1.c.

typedef my_cquantizer* my_cquantize_ptr

Definition at line 167 of file jquant1.c.

typedef int ODITHER_MATRIX[ODITHER_SIZE][ODITHER_SIZE]

Definition at line 76 of file jquant1.c.

typedef int(* ODITHER_MATRIX_PTR)[ODITHER_SIZE]

Definition at line 77 of file jquant1.c.

## Function Documentation

alloc_fs_workspace | ( | j_decompress_ptr | cinfo | ) |

Definition at line 722 of file jquant1.c.

color_quantize | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 459 of file jquant1.c.

color_quantize3 | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 487 of file jquant1.c.

create_colorindex | ( | j_decompress_ptr | cinfo | ) |

Definition at line 333 of file jquant1.c.

create_colormap | ( | j_decompress_ptr | cinfo | ) |

Definition at line 273 of file jquant1.c.

create_odither_tables | ( | j_decompress_ptr | cinfo | ) |

Definition at line 432 of file jquant1.c.

finish_pass_1_quant | ( | j_decompress_ptr | cinfo | ) |

Definition at line 798 of file jquant1.c.

jinit_1pass_quantizer | ( | j_decompress_ptr | cinfo | ) |

Definition at line 821 of file jquant1.c.

largest_input_value | ( | j_decompress_ptr | cinfo,
|  | int | ci,
|  | int | j,
|  | int | maxj
| ) |  |

Definition at line 259 of file jquant1.c.

make_odither_array | ( | j_decompress_ptr | cinfo,
|  | int | ncolors
| ) |  |

Definition at line 396 of file jquant1.c.

new_color_map_1_quant | ( | j_decompress_ptr | cinfo | ) |

Definition at line 810 of file jquant1.c.

output_value | ( | j_decompress_ptr | cinfo,
|  | int | ci,
|  | int | j,
|  | int | maxj
| ) |  |

Definition at line 245 of file jquant1.c.

quantize3_ord_dither | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 565 of file jquant1.c.

quantize_fs_dither | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 610 of file jquant1.c.

quantize_ord_dither | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 515 of file jquant1.c.

select_ncolors | ( | j_decompress_ptr | cinfo,
|  | int | Ncolors[]
| ) |  |

Definition at line 186 of file jquant1.c.

start_pass_1_quant | ( | j_decompress_ptr | cinfo,
|  | boolean | is_pre_scan
| ) |  |

Definition at line 741 of file jquant1.c.